version: "3.9"
services:
  portainer:
    image: portainer/portainer-ee:{{ cloudstack.plugins.portainer.version }}
    container_name: {{ plugin }}
    restart: unless-stopped
    security_opt:
      - no-new-privileges:true
    networks:
{% if cloudstack.plugins[plugin].config.integration.traefik|bool %}
      - traefik
{% endif %}
      - {{ plugin }}
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - /var/run/docker.sock:/var/run/docker.sock:ro
      - portainer-data:/data
{% if cloudstack.plugins[plugin].config.integration.traefik|bool %}
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=traefik"
      - "traefik.http.routers.{{ plugin }}.entrypoints=web,websecure"
      - "traefik.http.routers.{{ plugin }}.rule=Host(`{{ cloudstack.plugins[plugin].config.sitename }}`)"
      - "traefik.http.routers.{{ plugin }}.service={{ plugin }}"
      - "traefik.http.services.{{ plugin }}.loadbalancer.server.port={{ cloudstack.plugins[plugin].config.port }}"
      - "traefik.http.services.{{ plugin }}.loadbalancer.passhostheader=true"
{% endif %}
volumes:
  {{ plugin }}-data:

networks:
{% if cloudstack.plugins[plugin].config.integration.traefik|bool %}
  traefik:
    external: true
{% endif %}
  {{ plugin }}:
    name: {{ plugin }}
